View Issue Details

IDProjectCategoryView StatusLast Update
0000154QElectroTechDiagram Editorpublic2018-03-01 07:57
Reportergabberworld Assigned Toblack_sun_2012  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform64OSwindowsOS Version10
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000154: mouse scroll
Descriptionwhen i scroll mouse to lower it flips the diagram
TagsNo tags attached.

Activities

gabberworld

2018-02-06 16:47

reporter  

flip.png (144,973 bytes)
flip.png (144,973 bytes)

scorpio810

2018-02-06 16:53

administrator   ~0000293

Aahh ! I saw the same things one time, thanks to report it.

gabberworld

2018-02-10 12:43

reporter   ~0000297

patch for that issue

diagramview.cpp.patch (534 bytes)
Index: diagramview.cpp
===================================================================
--- diagramview.cpp	(revision 5234)
+++ diagramview.cpp	(working copy)
@@ -289,7 +289,9 @@
 		QSettings settings;
 		if (settings.value("diagrameditor/zoom-out-beyond-of-folio", false).toBool() ||
 			(horizontalScrollBar()->maximum() || verticalScrollBar()->maximum()) )
-			scale(zoom_factor, zoom_factor);
+			if (zoom_factor >= 0){
+				scale(zoom_factor, zoom_factor);
+			}
 	}
 	m_diagram->adjustSceneRect();
 	adjustGridToZoom();
diagramview.cpp.patch (534 bytes)

scorpio810

2018-02-10 17:33

administrator   ~0000298

Added, thank you.

Issue History

Date Modified Username Field Change
2018-02-06 16:47 gabberworld New Issue
2018-02-06 16:47 gabberworld File Added: flip.png
2018-02-06 16:53 scorpio810 Assigned To => black_sun_2012
2018-02-06 16:53 scorpio810 Status new => assigned
2018-02-06 16:53 scorpio810 Note Added: 0000293
2018-02-10 12:43 gabberworld File Added: diagramview.cpp.patch
2018-02-10 12:43 gabberworld Note Added: 0000297
2018-02-10 17:33 scorpio810 Note Added: 0000298
2018-03-01 07:57 scorpio810 Status assigned => resolved
2018-03-01 07:57 scorpio810 Resolution open => fixed
2018-03-01 07:57 scorpio810 Fixed in Version => SVN/trunk